using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using MyClassLibrary;

namespace MyTests
{
    [TestFixture]
    public class StackFixture
    {
        [Test]
        public void StackEmpty()
        {
            MyStack stack = new MyStack();
            Assert.AreEqual(stack.Count, 0); 
        }

        [Test]
        public void PushSingleItem()
        {
            MyStack stack = new MyStack();
            stack.Push("Item A");

            Assert.AreEqual(stack.Count, 1); 
        }

        [Test]
        public void PopSingleItem()
        {
            MyStack stack = new MyStack();
            stack.Push("Item A");

            string item = stack.Pop();
            Assert.AreEqual(item, "Item A");
            Assert.AreEqual(stack.Count, 0); 
        }
    }
}
